Module MenuFunction
    Public Sub ChangeMenu(ByVal ChoosenMenu As MenuTree)
        If ChoosenMenu = MenuTree.Back Then
            If CurrentMenu <> MenuTree.MainMenu Then
                If CurrentMenu Mod 10 = 0 Then
                    If CurrentMenu <= MenuTree.Hilfe Then
                        CurrentMenu = MenuTree.MainMenu
                    ElseIf CurrentMenu = MenuTree.SelectFile And FavoriteFilePath.Which = "Load" Then
                        CurrentMenu = MenuTree.Favoriten
                    Else
                        CurrentMenu -= 10
                    End If
                Else
                    CurrentMenu -= 1
                End If
            End If
        Else
            CurrentMenu = ChoosenMenu
        End If

        Call HideAllMenus()

        With frmFahrplan
            If CurrentMenu = MenuTree.MainMenu Then
                .mnuName.Text = "Hauptmen"
                .pnlMenu.BringToFront()
            ElseIf CurrentMenu = MenuTree.FahrPlanErstellenOrt Then
                .mnuName.Text = "Plan erstellen"
                .mnuNumber.Text = "1 von 3"
                Call SetFahrPlanWindow()
                .pnlFahrplanErstellenOrt.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.FahrPlanErstellenZeit Then
                .mnuName.Text = "Plan erstellen"
                .mnuNumber.Text = "2 von 3"
                .pnlFahrPlanErstellenZeit.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.FahrPlanErstellenErweitert Then
                .mnuName.Text = "Plan erstellen"
                .mnuNumber.Text = "3 von 3"
                .pnlFahrPlanErstellenErweitert.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.FahrPlanAnzeigen Then
                .mnuName.Text = "Fahrplan"
                .pnlFahrPlanAnzeigen.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.Debug Then
                .mnuName.Text = "Debug"
                .pnlDebug.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.Favoriten Then
                .mnuName.Text = "Favoriten"
                .pnlFavoriten.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.Einstellungen Then
                .mnuName.Text = "Einstellungen"
                .tvwConfig.CollapseAll()
                Config.OldFahrPlanNode = ""
                .cmbEinstellungen.Items.Clear()
                .lblEinstellungen.Text = ""
                .pnlEinstellungen.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            ElseIf CurrentMenu = MenuTree.Hilfe Then
                .mnuName.Text = "Hilfe"
                .pnlHilfe.BringToFront()
                .picBack.Visible = True
            ElseIf CurrentMenu = MenuTree.SelectFile Then
                .pnlSelectFile.BringToFront()
                .picBack.Visible = True
                .picCheck.Visible = True
            End If
        End With
    End Sub

    Public Sub HideAllMenus()
        With frmFahrplan
            .picBack.Visible = False
            .picCheck.Visible = False
            .SIP.Enabled = False
            .mnuName.Text = ""
            .mnuNumber.Text = ""
            .pnlMenu.SendToBack()
            .pnlFahrplanErstellenOrt.SendToBack()
            .pnlFahrPlanErstellenZeit.SendToBack()
            .pnlFahrPlanErstellenErweitert.SendToBack()
            .pnlFahrPlanAnzeigen.SendToBack()
            .pnlFavoriten.SendToBack()
            .pnlDebug.SendToBack()
            .pnlEinstellungen.SendToBack()
            .pnlHilfe.SendToBack()
            .pnlSelectFile.SendToBack()
        End With
    End Sub

    Public Sub CheckButtonClick()
        If CurrentMenu = MenuTree.Debug Then
            If UseSocket() = True Then
                Call GetHTMLData()
            End If
        ElseIf CurrentMenu = MenuTree.FahrPlanErstellenOrt Then
            Call ChangeMenu(MenuTree.FahrPlanErstellenZeit)
        ElseIf CurrentMenu = MenuTree.FahrPlanErstellenZeit Then
            Call ChangeMenu(MenuTree.FahrPlanErstellenErweitert)
            Call CheckButtonClick()
        ElseIf CurrentMenu = MenuTree.FahrPlanErstellenErweitert Then
            Call CreateFahrplan()
            With frmFahrplan
                FavoriteFilePath.HTMLFileName = DatePrint() & " " & ErstellterFahrplan.Datum.Tag & "." & ErstellterFahrplan.Datum.Monat & "." & ErstellterFahrplan.Datum.Jahr & " " & ErstellterFahrplan.UhrZeit.Stunden & "." & ErstellterFahrplan.UhrZeit.Minuten & " " & ErstellterFahrplan.StartOrt & "_" & ErstellterFahrplan.StartHalteStelle & "-" & ErstellterFahrplan.EndOrt & "_" & ErstellterFahrplan.EndHalteStelle & ".htm"
                .txtHTMLExportFileName.Text = FavoriteFilePath.HTMLPath & FavoriteFilePath.HTMLFileName
                .txtHTMLExportFileName.SelectionStart = .txtHTMLExportFileName.Text.Length
                FavoriteFilePath.RawFileName = DatePrint() & " " & ErstellterFahrplan.Datum.Tag & "." & ErstellterFahrplan.Datum.Monat & "." & ErstellterFahrplan.Datum.Jahr & " " & ErstellterFahrplan.UhrZeit.Stunden & "." & ErstellterFahrplan.UhrZeit.Minuten & " " & ErstellterFahrplan.StartOrt & "_" & ErstellterFahrplan.StartHalteStelle & "-" & ErstellterFahrplan.EndOrt & "_" & ErstellterFahrplan.EndHalteStelle & ".fps"
                .txtSaveFileName.Text = FavoriteFilePath.RawPath & FavoriteFilePath.RawFileName
                .txtSaveFileName.SelectionStart = .txtSaveFileName.Text.Length
            End With
        ElseIf CurrentMenu = MenuTree.FahrPlanAnzeigen Then
                Call ChangeMenu(MenuTree.MainMenu)
        ElseIf CurrentMenu = MenuTree.SelectFile Then
                If FavoriteFilePath.Which = "HTML" Then
                    FavoriteFilePath.HTMLFileName = frmFahrplan.txtFileName.Text
                    FavoriteFilePath.HTMLPath = frmFahrplan.txtCurrentPath.Text
                    frmFahrplan.txtHTMLExportFileName.Text = FavoriteFilePath.HTMLPath & FavoriteFilePath.HTMLFileName
                ElseIf FavoriteFilePath.Which = "Raw" Then
                    FavoriteFilePath.RawFileName = frmFahrplan.txtFileName.Text
                    FavoriteFilePath.RawPath = frmFahrplan.txtCurrentPath.Text
                    frmFahrplan.txtSaveFileName.Text = FavoriteFilePath.RawPath & FavoriteFilePath.RawFileName
                ElseIf FavoriteFilePath.Which = "Load" And frmFahrplan.txtFileName.Text <> "" Then
                    FavoriteFilePath.LoadFilePath = frmFahrplan.txtCurrentPath.Text & frmFahrplan.txtFileName.Text
                    Call LoadRawFahrplan(FavoriteFilePath.LoadFilePath)
                    Call CompileTemplate()
                End If
                Call ChangeMenu(MenuTree.FahrPlanAnzeigen)
                frmFahrplan.txtFileName.ReadOnly = False
        ElseIf CurrentMenu = MenuTree.Einstellungen Then
                Call ChangeConfigMenu(frmFahrplan.tvwConfig.SelectedNode.Text, True)
                Call SaveConfigs()
                Call MsgBox("Einstellungen gespeichert!", MsgBoxStyle.Information)
        End If
    End Sub
End Module
