Module OtherFunctions
    Public Function LoadFile(ByVal FileName As String) As String
        Dim objStreamReader As StreamReader
        objStreamReader = New StreamReader(FileName, System.Text.Encoding.Default)
        LoadFile = objStreamReader.ReadToEnd
        objStreamReader.Close()
    End Function

    Public Sub SaveFile(ByVal FileName As String, ByVal WriteData As String)
        Dim objFileStream As FileStream
        Dim objStreamWriter As StreamWriter

        objFileStream = New FileStream(FileName, FileMode.Create, FileAccess.Write)
        objStreamWriter = New StreamWriter(objFileStream, System.Text.Encoding.Default)
        objStreamWriter.Write(WriteData)
        objStreamWriter.Close()
        objFileStream.Close()
    End Sub

    Public Function FormatTimeString(ByVal TheHours As Byte, ByVal TheMinutes As Byte) As String
        Dim TempString(2) As String

        If TheHours < 10 Then
            TempString(1) = "0" & TheHours
        Else
            TempString(1) = TheHours
        End If
        If TheMinutes < 10 Then
            TempString(2) = "0" & TheMinutes
        Else
            TempString(2) = TheMinutes
        End If

        FormatTimeString = TempString(1) & ":" & TempString(2)
    End Function
    Public Function DatePrint() As String
        Dim TempString(5) As String
        TempString(1) = System.DateTime.Today.Year
        TempString(2) = System.DateTime.Today.Month
        TempString(3) = System.DateTime.Today.Day

        TempString(4) = System.DateTime.Now.Hour
        TempString(5) = System.DateTime.Now.Minute

        If TempString(2) < 10 Then
            TempString(2) = "0" & TempString(2)
        End If
        If TempString(3) < 10 Then
            TempString(3) = "0" & TempString(3)
        End If

        If TempString(4) < 10 Then
            TempString(4) = "0" & TempString(5)
        End If
        If TempString(5) < 10 Then
            TempString(5) = "0" & TempString(5)
        End If

        DatePrint = TempString(1) & TempString(2) & TempString(3) & "-" & TempString(4) & TempString(5)
    End Function
End Module
