Module UserFileSelection
    Public Sub SetUpDirList(ByVal DirsPath As String, ByVal FileType As String)
        On Error GoTo ErrorHandle
        Dim UserFiles As DirectoryInfo = New DirectoryInfo(DirsPath)
        Dim SubDirs() As DirectoryInfo = UserFiles.GetDirectories()
        Dim SubFiles() As FileInfo = UserFiles.GetFiles(FileType)
        With frmFahrplan
            .txtCurrentPath.Text = DirsPath
            .cmbFileType.Text = FileType
            .lstFileList.Items.Clear()
            .lstFileList.Items.Add("[\]")
            .lstFileList.Items.Add("[..]")
            For Each SubDir As DirectoryInfo In SubDirs
                .lstFileList.Items.Add("[" & Mid(SubDir.FullName, InStrRev(SubDir.FullName, "\", -1) + 1) & "]")
            Next SubDir

            UserFiles.GetFiles(FileType)
            For Each SubFile As FileInfo In SubFiles
                .lstFileList.Items.Add(Mid(SubFile.FullName, InStrRev(SubFile.FullName, "\", -1) + 1))
            Next SubFile
        End With
        Exit Sub
ErrorHandle:
        MsgBox("Error" & vbNewLine & DirsPath, MsgBoxStyle.Critical, "Error")
    End Sub
    Public Sub SetUpTemplateList()
        Dim MyDir As New System.IO.DirectoryInfo(AppPath & "\Templates\HTML\")
        Dim SubDirs() As DirectoryInfo = MyDir.GetDirectories()
        Dim Count As Byte = 0
        Call Array.Clear(TemplateNames, 0, 255)

        For Each SubDir As DirectoryInfo In SubDirs
            For Each SubFile As System.IO.FileInfo In SubDir.GetFiles("template.htm")
                TemplateNames(Count) = Mid(SubDir.FullName, InStrRev(SubDir.FullName, "\", -1) + 1)
                Count += 1
            Next
        Next SubDir
    End Sub
End Module
