Module WebSiteLoadingFunctions
    Public Sub GetHTMLData()
        Dim MyCounter As Byte = 1
        Dim OtherCounter As Byte = 1
        Dim StartPointer(3) As Integer
        Dim EndPointer(3) As Integer
        Dim StringPointer As Integer
        Dim GroupID As Byte = 1
        Dim TripID As Byte = 1
        Dim TempString As String
        Dim DebugString As String = ""
        TempString = RawHTML

        TempString = Replace(TempString, vbCr, "")
        TempString = Replace(TempString, vbLf, "")

        If Config.Provider = "VRR.de" Then
            If InStr(RawHTML, "1. Fahrt") <> 0 Then 'Successful!
                With Analysis.OriginalVRR.AnalyseHTML.AnalyseTripOverview
                    StartPointer(1) = InStr(TempString, .GesamtTrennung.Starter)
                    EndPointer(1) = InStr(StartPointer(1), TempString, .GesamtTrennung.Ender)
                    StringPointer = StartPointer(1)

                    Do While InStr(StartPointer(1), TempString, Replace(.GruppenTrennung.Starter, "|<->|", GroupID)) <> 0
                        StartPointer(2) = InStr(StartPointer(1), TempString, Replace(.GruppenTrennung.Starter, "|<->|", GroupID)) + Len(Replace(.GruppenTrennung.Starter, "|<->|", GroupID))
                        EndPointer(2) = InStr(StartPointer(2), TempString, .GruppenTrennung.Ender)

                        StartPointer(3) = InStr(StartPointer(2), TempString, .Datum.Starter) + Analysis.OriginalVRR.Len.AnalyseTripOverviewLen.Datum.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .Datum.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.Datum = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(StartPointer(2), TempString, .StartZeit.Starter) + Analysis.OriginalVRR.Len.AnalyseTripOverviewLen.StartZeit.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .StartZeit.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.StartZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(StartPointer(2), TempString, .EndZeit.Starter) + Analysis.OriginalVRR.Len.AnalyseTripOverviewLen.EndZeit.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .EndZeit.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.EndZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(StartPointer(2), TempString, .FahrtDauer.Starter) + Analysis.OriginalVRR.Len.AnalyseTripOverviewLen.FahrtDauer.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .FahrtDauer.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.FahrtDauer = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(StartPointer(2), TempString, .Umstiege.Starter) + Analysis.OriginalVRR.Len.AnalyseTripOverviewLen.Umstiege.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .Umstiege.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.Umstiege = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        FahrPlan(0, 0).FahrPlanOverView.AnzahlFahrten = GroupID
                        GroupID += 1
                    Loop
                End With

                With Analysis.OriginalVRR.AnalyseHTML.AnalyseTrip
                    GroupID = 1
                    StartPointer(1) = InStr(TempString, .GesamtTrennung.Starter)
                    EndPointer(1) = InStr(StartPointer(1), TempString, .GesamtTrennung.Ender)
                    StringPointer = StartPointer(1)
                    Do While GroupID <= FahrPlan(0, 0).FahrPlanOverView.AnzahlFahrten
                        StartPointer(2) = InStr(StartPointer(1), TempString, Replace(.GruppenTrennung.Starter, "|<->|", GroupID)) + Len(Replace(.GruppenTrennung.Starter, "|<->|", GroupID))
                        EndPointer(2) = InStr(StartPointer(2), TempString, .GruppenTrennung.Ender)

                        TripID = 1
                        Do While InStr(StartPointer(2), TempString, Replace(.StartZeit.Starter, "|<->|", TripID)) <> 0 And InStr(StartPointer(2), TempString, Replace(.StartZeit.Starter, "|<->|", TripID)) < EndPointer(2)
                            StartPointer(3) = InStr(StartPointer(2), TempString, Replace(.StartZeit.Starter, "|<->|", TripID)) + Len(Replace(.StartZeit.Starter, "|<->|", TripID))
                            EndPointer(3) = InStr(StartPointer(3), TempString, .StartZeit.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.StartZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, Replace(.StartPunkt.Starter, "|<->|", TripID)) + Len(Replace(.StartPunkt.Starter, "|<->|", TripID))
                            EndPointer(3) = InStr(StartPointer(3), TempString, .StartPunkt.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.StartPunkt = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, Replace(.FahrZeugTyp.Starter, "|<->|", TripID)) + Len(Replace(.FahrZeugTyp.Starter, "|<->|", TripID))
                            EndPointer(3) = InStr(StartPointer(3), TempString, .FahrZeugTyp.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp = Replace(Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3)), "<br />", " - ")

                            StartPointer(3) = InStr(EndPointer(3), TempString, Replace(.EndZeit.Starter, "|<->|", TripID)) + Len(Replace(.EndZeit.Starter, "|<->|", TripID))
                            EndPointer(3) = InStr(StartPointer(3), TempString, .EndZeit.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.EndZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, Replace(.EndPunkt.Starter, "|<->|", TripID)) + Len(Replace(.EndPunkt.Starter, "|<->|", TripID))
                            EndPointer(3) = InStr(StartPointer(3), TempString, .EndPunkt.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.EndPunkt = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))


                            FahrPlan(GroupID, 0).FahrplanMain.AnzahlTrips = TripID
                            TripID += 1
                        Loop
                        GroupID += 1
                    Loop
                End With
            Else
                If InStr(RawHTML, "Bitte auswhlen") Then
                    frmFahrplan.txtDebug.Text = "Eine Eingabe ist fehlerhaft: Unvollstndige Angaben?" & vbNewLine & vbNewLine & RawHTML
                Else
                    frmFahrplan.txtDebug.Text = "Es ist ein Fehler aufgetreten!" & vbNewLine & vbNewLine & RawHTML
                End If
                Try
                    frmFahrplan.webDebug.Navigate(New System.Uri(AppPath & "\Temp\recieved.htm"))
                Catch
                End Try
                Call ChangeMenu(MenuTree.Debug)
            End If
        ElseIf Config.Provider = "Deutsche Bahn" Then
            If InStr(RawHTML, "Ihre Hinfahrtm") <> 0 Then 'Successful!
                With Analysis.DeutscheBahn.AnalyseHTML.AnalyseTripOverview
                    RawHTML = CleanUpHTML(RawHTML)
                    StartPointer(2) = 1
                    EndPointer(2) = Len(RawHTML)
                    StringPointer = StartPointer(2)

                    Do While InStr(StartPointer(2), TempString, .GruppenTrennung.Starter) <> 0
                        StartPointer(2) = InStr(StartPointer(2), TempString, .GruppenTrennung.Starter) + Len(.GruppenTrennung.Starter)
                        EndPointer(2) = InStr(StartPointer(2), TempString, .GruppenTrennung.Ender)

                        StartPointer(3) = InStr(StartPointer(2), TempString, .Datum.Starter) + Analysis.DeutscheBahn.Len.AnalyseTripOverviewLen.Datum.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .Datum.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.Datum = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(EndPointer(3), TempString, .StartZeit.Starter) + Analysis.DeutscheBahn.Len.AnalyseTripOverviewLen.StartZeit.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .StartZeit.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.StartZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(EndPointer(3), TempString, .FahrtDauer.Starter) + Analysis.DeutscheBahn.Len.AnalyseTripOverviewLen.FahrtDauer.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .FahrtDauer.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.FahrtDauer = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(EndPointer(3), TempString, .Umstiege.Starter) + Analysis.DeutscheBahn.Len.AnalyseTripOverviewLen.Umstiege.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .Umstiege.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.Umstiege = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        StartPointer(3) = InStr(EndPointer(3), TempString, .EndZeit.Starter) + Analysis.DeutscheBahn.Len.AnalyseTripOverviewLen.EndZeit.Starter
                        EndPointer(3) = InStr(StartPointer(3), TempString, .EndZeit.Ender)
                        FahrPlan(GroupID, 0).FahrPlanOverView.EndZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                        FahrPlan(0, 0).FahrPlanOverView.AnzahlFahrten = GroupID
                        GroupID += 1
                    Loop
                End With

                With Analysis.DeutscheBahn.AnalyseHTML.AnalyseTrip
                    GroupID = 1
                    StartPointer(1) = 1
                    EndPointer(1) = Len(RawHTML)
                    StringPointer = StartPointer(1)
                    Dim tempGleis As String
                    Dim tripPreCount As Byte
                    Dim tripPointer(1) As Integer
                    Do While GroupID <= FahrPlan(0, 0).FahrPlanOverView.AnzahlFahrten
                        StartPointer(2) = InStr(StartPointer(1), TempString, Replace(.GruppenTrennung.Starter, "|<->|", GroupID - 1)) + Len(Replace(.GruppenTrennung.Starter, "|<->|", GroupID - 1))
                        EndPointer(2) = InStr(StartPointer(2), TempString, .GruppenTrennung.Ender)
                        EndPointer(3) = StartPointer(2)

                        tripPreCount = 0
                        tripPointer(0) = StartPointer(2)
                        tripPointer(1) = EndPointer(2)
                        Do While tripPointer(0) > Len(.TripPreCount.Starter) And tripPointer(0) < EndPointer(2)
                            tripPointer(0) = InStr(tripPointer(0), TempString, .TripPreCount.Starter) + Len(.TripPreCount.Starter)
                            tripPreCount += 1
                        Loop
                        TripID = 1
                        Do While tripPreCount > TripID
                            StartPointer(3) = InStr(EndPointer(3), TempString, .StartPunkt.Starter) + Len(.StartPunkt.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .StartPunkt.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.StartPunkt = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, .StartDatum.Starter) + Len(.StartDatum.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .StartDatum.Ender)
                            'FahrPlan(GroupID, TripID).FahrplanMain.StartDatum = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, .StartZeit.Starter) + Len(.StartZeit.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .StartZeit.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.StartZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))
                            If FahrPlan(GroupID, TripID).FahrplanMain.StartZeit.Contains("<a") = True Then
                                FahrPlan(GroupID, TripID).FahrplanMain.StartZeit = FahrPlan(GroupID, TripID).FahrplanMain.StartZeit.Split("<a")(0)
                            End If

                            StartPointer(3) = InStr(EndPointer(3), TempString, .StartGleis.Starter) + Len(.StartGleis.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .StartGleis.Ender)
                            tempGleis = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            If Not tempGleis = ChrW(10) & "&nbsp;" & ChrW(10) Then
                                FahrPlan(GroupID, TripID).FahrplanMain.StartPunkt &= " - Gleis " & tempGleis
                            End If

                            StartPointer(3) = InStr(EndPointer(3), TempString, .FahrZeugTyp.Starter) + Len(.FahrZeugTyp.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .FahrZeugTyp.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            If FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp.Contains("</a>") = True Then
                                FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp = FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp.Replace("</a></span>", "")
                                FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp = FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp.Substring(InStrRev(FahrPlan(GroupID, TripID).FahrplanMain.FahrZeugTyp, ">"))
                            End If

                            StartPointer(3) = InStr(EndPointer(3), TempString, .EndPunkt.Starter) + Len(.EndPunkt.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .EndPunkt.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.EndPunkt = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, .EndDatum.Starter) + Len(.EndDatum.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .EndDatum.Ender)
                            'FahrPlan(GroupID, TripID).FahrplanMain.EndDatum = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, .EndZeit.Starter) + Len(.EndZeit.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .EndZeit.Ender)
                            FahrPlan(GroupID, TripID).FahrplanMain.EndZeit = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            StartPointer(3) = InStr(EndPointer(3), TempString, .EndGleis.Starter) + Len(.EndGleis.Starter)
                            EndPointer(3) = InStr(StartPointer(3), TempString, .EndGleis.Ender)
                            tempGleis = Mid(TempString, StartPointer(3), EndPointer(3) - StartPointer(3))

                            If Not tempGleis = ChrW(10) & "&nbsp;" & ChrW(10) Then
                                FahrPlan(GroupID, TripID).FahrplanMain.EndPunkt &= " - Gleis " & tempGleis
                            End If

                            FahrPlan(GroupID, 0).FahrplanMain.AnzahlTrips = TripID
                            TripID += 1
                        Loop
                        GroupID += 1
                    Loop
                End With
            Else
                If InStr(RawHTML, "mehrere mgliche Haltestellen gefunden") Then
                    frmFahrplan.txtDebug.Text = "Eine Eingabe ist fehlerhaft: Unvollstndige Angaben?" & vbNewLine & vbNewLine & RawHTML
                Else
                    frmFahrplan.txtDebug.Text = "Es ist ein Fehler aufgetreten!" & vbNewLine & vbNewLine & RawHTML
                End If
                Try
                    frmFahrplan.webDebug.Navigate(New System.Uri(AppPath & "\Temp\recieved.htm"))
                Catch

                End Try
                Call ChangeMenu(MenuTree.Debug)
            End If
        End If
    End Sub

    Public Function UseSocket() As Boolean
        Dim TCPClient As New System.Net.Sockets.TcpClient
        Dim TCPStream As NetworkStream
        Dim SendBytes As [Byte]()
        Dim HTTPRequest As String
        Dim PostRequest As String
        Dim tempAdress As String = ""
        Dim tempPort As String = ""

        If Config.Provider = "VRR.de" Then
            With ErstellterFahrplan
                PostRequest = _
                    "sessionID=" & "0" & _
                        "&language=de" & _
                    "&place_origin=" & .StartOrt & _
                        "&type_origin=stop" & _
                    "&name_origin=" & .StartHalteStelle & _
                    "&place_destination=" & .EndOrt & _
                        "&type_destination=stop" & _
                    "&name_destination=" & .EndHalteStelle & _
                    "&itdTimeHour=" & .UhrZeit.Stunden & _
                    "&itdTimeMinute=" & .UhrZeit.Minuten & _
                    "&itdTripDateTimeDepArr=" & .AbfahrtOrAnkunft & _
                    "&itdDateDay=" & .Datum.Tag & _
                    "&itdDateMonth=" & .Datum.Monat & _
                    "&itdDateYear=" & .Datum.Jahr & _
                    "&maxChanges=" & .Umstiege & _
                        "&suchen=Verbindung+suchen&ptOptionsActive=1&changeSpeed=normal" & _
                    "&lineRestriction=" & .LinienArt
            End With
            HTTPRequest = _
                        "POST " & Analysis.OriginalVRR.ServerConfig.WebSite & " HTTP/1.0" & vbNewLine & _
                        "Content-Type: application/x-www-form-urlencoded;charset=utf-8" & vbNewLine & _
                        "Content-Length: " & Len(PostRequest) & vbNewLine & vbNewLine & PostRequest
            SendBytes = System.Text.Encoding.UTF8.GetBytes(HTTPRequest)
            tempAdress = Analysis.OriginalVRR.ServerConfig.ServerAdress
            tempPort = Analysis.OriginalVRR.ServerConfig.Port
        ElseIf Config.Provider = "Deutsche Bahn" Then
            With ErstellterFahrplan
                Dim tempAbfahrtOrAnkunft As Byte
                If .AbfahrtOrAnkunft = "dep" Then
                    tempAbfahrtOrAnkunft = 1
                Else
                    tempAbfahrtOrAnkunft = 0
                End If
                PostRequest = _
                "queryPageDisplayed=yes" & _
                "&HWAI%3DJS%21ajax=yes" & _
                "&HWAI%3DJS%21js=yes" & _
                "&HWAI%3DQUERY%21direction=single%21" & _
                "&REQ0JourneyStopsS0A=1" & _
                "&REQ0JourneyStopsS0G=" & .StartOrt & " " & .StartHalteStelle & _
                "&REQ0JourneyStopsS0ID=" & _
                "&REQ0JourneyStopsZ0A=1" & _
                "&REQ0JourneyStopsZ0G=" & .EndOrt & " " & .EndHalteStelle & _
                "&REQ0JourneyStopsZ0ID=" & _
                "&REQ0JourneyStops1A=1" & _
                "&REQ0JourneyStops1G=" & _
                "&REQ0JourneyStops1ID=" & _
                "&REQ0JourneyStopover1=hh%3Amm" & _
                "&REQ0JourneyStops2ID=" & _
                "&REQ1JourneyStops1ID=" & _
                "&REQ1JourneyStops2ID=" & _
                "&REQ0JourneyDate=" & .Datum.Tag & "." & .Datum.Monat & "." & .Datum.Jahr & _
                "&REQ0JourneyTime=" & .UhrZeit.Stunden & ":" & .UhrZeit.Minuten & _
                "&REQ0HafasSearchForw=" & tempAbfahrtOrAnkunft & _
                "&REQ1JourneyDate=" & _
                "&REQ1JourneyTime=" & _
                "&REQ1HafasSearchForw=1" & _
                "&REQ0JourneyProduct_prod_list=2%3A0111111111000000" & _
                "&HWAI%3DQUERY%24PRODUCTS%240_0%21show=yes" & _
                "&REQ0HafasChangeTime=0%3A1&existOptimizePrice=1" & _
                "&REQ0HafasOptimize1=0%3A1&existOptionBits=yes" & _
                "&existIntermodalDep_enable=yes" & _
                "&REQ0JourneyDep__enable=Foot" & _
                "&existIntermodalDest_enable=yes" & _
                "&REQ0JourneyDest__enable=Foot" & _
                "&HWAI%3D%7EQUERY%21hideExtInt=" & _
                "&REQ0JourneyDep_Foot_minDist=0" & _
                "&REQ0JourneyDest_Foot_minDist=0" & _
                "&REQ0JourneyDep_Foot_maxDist=2000" & _
                "&REQ0JourneyDest_Foot_maxDist=2000" & _
                "&REQ0JourneyDep_Bike_minDist=0" & _
                "&REQ0JourneyDest_Bike_minDist=0" & _
                "&REQ0JourneyDep_Bike_maxDist=5000" & _
                "&REQ0JourneyDest_Bike_maxDist=5000" & _
                "&REQ0JourneyDep_Taxi_minDist=2000" & _
                "&REQ0JourneyDest_Taxi_minDist=2000" & _
                "&REQ0JourneyDep_Taxi_maxDist=50000" & _
                "&REQ0JourneyDest_Taxi_maxDist=50000" & _
                "&REQ0JourneyDep_KissRide_minDist=2000" & _
                "&REQ0JourneyDest_KissRide_minDist=2000" & _
                "&REQ0JourneyDep_KissRide_maxDist=50000" & _
                "&REQ0JourneyDest_KissRide_maxDist=50000" & _
                "&traveller_E=1" & _
                "&traveller_K=0" & _
                "&traveller_B=0" & _
                "&REQ0Tariff_TravellerType.1=E" & _
                "&REQ0Tariff_TravellerReductionClass.1=0" & _
                "&REQ0Tariff_TravellerAge.1=" & _
                "&REQ0Tariff_Class=2" & _
                "&start=Suchen"

                '"sessionID=" & "0" & _
                '    "&language=de" & _
                '"&place_origin=" & .StartOrt & _
                '    "&type_origin=stop" & _
                '"&name_origin=" & .StartHalteStelle & _
                '"&place_destination=" & .EndOrt & _
                '    "&type_destination=stop" & _
                '"&name_destination=" & .EndHalteStelle & _
                '"&itdTimeHour=" & .UhrZeit.Stunden & _
                '"&itdTimeMinute=" & .UhrZeit.Minuten & _
                '"&itdTripDateTimeDepArr=" & .AbfahrtOrAnkunft & _
                '"&itdDateDay=" & .Datum.Tag & _
                '"&itdDateMonth=" & .Datum.Monat & _
                '"&itdDateYear=" & .Datum.Jahr & _
                '"&maxChanges=" & .Umstiege & _
                '    "&suchen=Verbindung+suchen&ptOptionsActive=1&changeSpeed=normal" & _
                '"&lineRestriction=" & .LinienArt
            End With
            HTTPRequest = _
                        "POST " & Analysis.DeutscheBahn.ServerConfig.WebSite & " HTTP/1.0" & vbNewLine & _
                        "Content-Type: application/x-www-form-urlencoded;charset=utf-8" & vbNewLine & _
                        "Content-Length: " & Len(PostRequest) & vbNewLine & vbNewLine & PostRequest
            SendBytes = System.Text.Encoding.UTF8.GetBytes(HTTPRequest)
            tempAdress = Analysis.DeutscheBahn.ServerConfig.ServerAdress
            tempPort = Analysis.DeutscheBahn.ServerConfig.Port
        End If

        Try
            If Config.NeedProxy = "Ja" And Not Config.ProxyURL = "" Then
                Dim ProxyFactory As New Starksoft.Net.Proxy.PPC.ProxyClientFactory
                Dim tempProxy As Starksoft.Net.Proxy.PPC.IProxyClient
                If Config.ProxyUser = "" And Config.ProxyPass = "" Then
                    tempProxy = ProxyFactory.CreateProxyClient(Starksoft.Net.Proxy.PPC.ProxyType.Http, Config.ProxyURL, Config.ProxyPort)
                Else
                    tempProxy = ProxyFactory.CreateProxyClient(Starksoft.Net.Proxy.PPC.ProxyType.Http, Config.ProxyURL, Config.ProxyPort, Config.ProxyUser, Config.ProxyPass)
                End If

                TCPClient = tempProxy.CreateConnection(tempAdress, tempPort)
            Else
                TCPClient.Connect(tempAdress, tempPort)
            End If

            TCPStream = TCPClient.GetStream
            If TCPStream.CanWrite And TCPStream.CanRead Then
                Call TCPStream.Write(SendBytes, 0, SendBytes.Length)
                Dim objStreamReader As StreamReader = New StreamReader(TCPStream, System.Text.Encoding.UTF8)
                'RawHTML = ReplaceSpecialChars(objStreamReader.ReadToEnd, ReplaceDirection.ByteToNormal)
                RawHTML = objStreamReader.ReadToEnd
                objStreamReader.Close()
                Call SaveFile(AppPath & "\Temp\recieved.htm", RawHTML)
            End If
            TCPClient.Close()
            UseSocket = True
        Catch
            UseSocket = False
            frmFahrplan.txtDebug.Text = "No Internet Connection! (Socket Error)"
            Call ChangeMenu(MenuTree.Debug)
        End Try
    End Function

    Public Sub CreateFahrplan()
        ErstellterFahrplan.StartOrt = frmFahrplan.cmbStartOrt.Text
        ErstellterFahrplan.StartHalteStelle = frmFahrplan.cmbStartHalteStelle.Text
        ErstellterFahrplan.EndOrt = frmFahrplan.cmbEndOrt.Text
        ErstellterFahrplan.EndHalteStelle = frmFahrplan.cmbEndHalteStelle.Text
        ErstellterFahrplan.Umstiege = "99"
        ErstellterFahrplan.UhrZeit.Minuten = Right(frmFahrplan.txtZeit.Text, 2)
        ErstellterFahrplan.UhrZeit.Stunden = Left(frmFahrplan.txtZeit.Text, 2)
        ErstellterFahrplan.Datum.Jahr = TempDate.Jahr
        ErstellterFahrplan.Datum.Monat = TempDate.Monat
        ErstellterFahrplan.Datum.Tag = TempDate.Tag
        ErstellterFahrplan.LinienArt = LineRestrictions.Alle
        If frmFahrplan.chkAbfahrt.Checked = True Then
            ErstellterFahrplan.AbfahrtOrAnkunft = "dep"
        Else
            ErstellterFahrplan.AbfahrtOrAnkunft = "arr"
        End If
        If UseSocket() = True Then
            Call GetHTMLData()
            Call CompileTemplate()
            Call SaveLastFahrPlan()
            Call SaveRawFahrplan(AppPath & "\Temp\lastfahrplan.fps")
            Call ChangeMenu(MenuTree.FahrPlanAnzeigen)
        Else
            Call ChangeMenu(MenuTree.Debug)
        End If
    End Sub
End Module
