Public Class frmFahrplan

    Private Sub frmFahrplan_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.GotFocus
        Me.Focus()
    End Sub
    Private Sub frmFahrplan_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Call SetStartUp()
        Me.Text = "Scilor's Fahrplanauskunft v" & Version
    End Sub

    Private Sub picCheck_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picCheck.MouseDown
        picCheck.Image = imgThumbButtonDown
    End Sub

    Private Sub picCheck_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picCheck.MouseUp
        picCheck.Image = imgThumbButtonCheck
    End Sub

    Private Sub picBack_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picBack.Click
        If CurrentMenu = MenuTree.Einstellungen Then Call LoadConfigs()
        Call ChangeMenu(MenuTree.Back)
    End Sub

    Private Sub picBack_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picBack.MouseDown
        picBack.Image = imgThumbButtonDown
    End Sub

    Private Sub picBack_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picBack.MouseUp
        picBack.Image = imgThumbButtonBack
    End Sub

    Private Sub picMenu1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picMenu1.Click
        Call ChangeMenu(MenuTree.FahrPlanErstellenOrt)
    End Sub
    Private Sub picMenu1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu1.MouseDown
        picMenu1.Image = imgMenuButtonDown
    End Sub

    Private Sub picMenu1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu1.MouseUp
        picMenu1.Image = imgMenuButtonFahrplanErstellen
    End Sub

    Private Sub picMenu2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picMenu2.Click
        Call ChangeMenu(MenuTree.Favoriten)
    End Sub

    Private Sub picMenu2_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu2.MouseDown
        picMenu2.Image = imgMenuButtonDown
    End Sub

    Private Sub picMenu2_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu2.MouseUp
        picMenu2.Image = imgMenuButtonFavoriten
    End Sub

    Private Sub picMenu3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picMenu3.Click
        Call ChangeMenu(MenuTree.Einstellungen)
    End Sub

    Private Sub picMenu3_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu3.MouseDown
        picMenu3.Image = imgMenuButtonDown
    End Sub

    Private Sub picMenu3_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu3.MouseUp
        picMenu3.Image = imgMenuButtonEinstellungen
    End Sub

    Private Sub picMenu4_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picMenu4.Click
        Call ChangeMenu(MenuTree.Debug)
    End Sub

    Private Sub picMenu4_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu4.MouseDown
        picMenu4.Image = imgMenuButtonDown
    End Sub

    Private Sub picMenu4_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu4.MouseUp
        picMenu4.Image = imgMenuButtonUp
    End Sub

    Private Sub picMenu5_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picMenu5.Click
        Call ChangeMenu(MenuTree.Hilfe)
    End Sub

    Private Sub picMenu5_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu5.MouseDown
        picMenu5.Image = imgMenuButtonDown
    End Sub

    Private Sub picMenu5_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu5.MouseUp
        picMenu5.Image = imgMenuButtonHelp
    End Sub

    Private Sub picMenu6_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picMenu6.Click
        Application.Exit()
    End Sub

    Private Sub picMenu6_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu6.MouseDown
        picMenu6.Image = imgMenuButtonDown
    End Sub

    Private Sub picMenu6_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMenu6.MouseUp
        picMenu6.Image = imgMenuButtonExit
    End Sub

    Private Sub picCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picCheck.Click
        Call CheckButtonClick()
    End Sub

    Private Sub frmFahrplan_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles MyBase.KeyDown
        If (e.KeyCode = System.Windows.Forms.Keys.Up) Then
            'Up
        End If
        If (e.KeyCode = System.Windows.Forms.Keys.Down) Then
            'Down
        End If
        If (e.KeyCode = System.Windows.Forms.Keys.Left) Then
            'Left
        End If
        If (e.KeyCode = System.Windows.Forms.Keys.Right) Then
            'Right
        End If
        If (e.KeyCode = System.Windows.Forms.Keys.Enter) Then
            'Enter
        End If
    End Sub

    Private Sub btnBackRide_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBackRide.Click
        Dim TempString(4) As String
        TempString(1) = cmbStartOrt.Text
        TempString(2) = cmbStartHalteStelle.Text
        TempString(3) = cmbEndOrt.Text
        TempString(4) = cmbEndHalteStelle.Text

        cmbStartOrt.Text = TempString(3)
        cmbStartHalteStelle.Text = TempString(4)
        cmbEndOrt.Text = TempString(1)
        cmbEndHalteStelle.Text = TempString(2)
    End Sub

    Private Sub btnDefaultFahrPlan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDefaultFahrPlan.Click
        With Config.FahrPlanErstellen.Standard
            cmbStartOrt.Text = .StartOrt
            cmbStartHalteStelle.Text = .StartHalteStelle
            cmbEndOrt.Text = .EndOrt
            cmbEndHalteStelle.Text = .EndHalteStelle
        End With
    End Sub

    Private Sub trbStunden_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles trbStunden.ValueChanged
        txtZeit.Text = FormatTimeString(trbStunden.Value, trbMinuten.Value)
    End Sub

    Private Sub trbMinuten_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles trbMinuten.ValueChanged
        txtZeit.Text = FormatTimeString(trbStunden.Value, trbMinuten.Value)
    End Sub

    Private Sub btnSetTime_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetTime.Click
        trbStunden.Value = System.DateTime.Now.Hour
        trbMinuten.Value = System.DateTime.Now.Minute
        txtZeit.Text = FormatTimeString(trbStunden.Value, trbMinuten.Value)
    End Sub

    Private Sub cmbStartOrt_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmbStartOrt.GotFocus
        SIP.Enabled = True
    End Sub

    Private Sub cmbStartHalteStelle_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbStartHalteStelle.GotFocus
        SIP.Enabled = True
    End Sub

    Private Sub cmbEndOrt_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmbEndOrt.GotFocus
        SIP.Enabled = True
    End Sub

    Private Sub cmbEndHalteStelle_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbEndHalteStelle.GotFocus
        SIP.Enabled = True
    End Sub

    Private Sub pnlFahrplanErstellenOrt_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles pnlFahrplanErstellenOrt.GotFocus
        SIP.Enabled = False
    End Sub

    Private Sub tvwConfig_AfterSelect(ByVal sender As System.Object, ByVal e As System.Windows.Forms.TreeViewEventArgs) Handles tvwConfig.AfterSelect
        Call ChangeConfigMenu(Config.OldFahrPlanNode, True)
        Call ChangeConfigMenu(tvwConfig.SelectedNode.Text)
    End Sub

    Private Sub txtHTMLExportFileName_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtHTMLExportFileName.KeyUp
        Dim TempSelStart As Integer
        If InStr(txtHTMLExportFileName.Text, vbNewLine) Then
            TempSelStart = txtHTMLExportFileName.SelectionStart
            txtHTMLExportFileName.Text = Replace(txtHTMLExportFileName.Text, vbNewLine, "")
            txtHTMLExportFileName.SelectionStart = TempSelStart - 2
        End If
    End Sub

    Private Sub txtSaveFileName_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtSaveFileName.KeyUp
        Dim TempSelStart As Integer
        If InStr(txtSaveFileName.Text, vbNewLine) Then
            TempSelStart = txtSaveFileName.SelectionStart
            txtSaveFileName.Text = Replace(txtSaveFileName.Text, vbNewLine, "")
            txtSaveFileName.SelectionStart = TempSelStart - 2
        End If
    End Sub

    Private Sub btnHTMLExportPath_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnHTMLExportPath.Click
        txtFileName.Text = ""
        txtFileName.ReadOnly = False
        cmbFileType.Items.Clear()
        cmbFileType.Items.Add("*.*")
        cmbFileType.Text = "*.*"
        txtFileName.Text = FavoriteFilePath.HTMLFileName
        SetUpDirList(AppPath & "\Save\", cmbFileType.Text)
        FavoriteFilePath.Which = "HTML"
        Call ChangeMenu(MenuTree.SelectFile)
    End Sub

    Private Sub btnSavePath_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSavePath.Click
        txtFileName.Text = ""
        txtFileName.ReadOnly = False
        cmbFileType.Items.Clear()
        cmbFileType.Items.Add("*.fps")
        cmbFileType.Items.Add("*.*")
        cmbFileType.Text = "*.fps"
        txtFileName.Text = FavoriteFilePath.RawFileName
        SetUpDirList(AppPath & "\Save\", cmbFileType.Text)
        FavoriteFilePath.Which = "Raw"
        Call ChangeMenu(MenuTree.SelectFile)
    End Sub

    Private Sub btnExportHTML_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExportHTML.Click
        Call CompileTemplate(FavoriteFilePath.HTMLPath & FavoriteFilePath.HTMLFileName)
        MsgBox("Datei gespeichert unter:" & vbNewLine & FavoriteFilePath.HTMLPath & FavoriteFilePath.HTMLFileName, MsgBoxStyle.OkOnly)
    End Sub

    Private Sub btnSaveFahrplan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSaveFahrplan.Click
        Call SaveRawFahrplan(FavoriteFilePath.RawPath & FavoriteFilePath.RawFileName)
        MsgBox("Datei gespeichert unter:" & vbNewLine & FavoriteFilePath.RawPath & FavoriteFilePath.RawFileName, MsgBoxStyle.OkOnly)
    End Sub

    Public Sub mcaDatum_DateChanged(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DateRangeEventArgs) Handles mcaDatum.DateChanged
        TempDate.Tag = e.Start.Day
        TempDate.Monat = e.Start.Month
        TempDate.Jahr = e.Start.Year
    End Sub

    Private Sub btnLastFahrPlan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLastFahrPlan.Click
        Call LoadRawFahrplan(AppPath & "\Temp\lastfahrplan.fps")
        Call CompileTemplate()
        Call ChangeMenu(MenuTree.FahrPlanAnzeigen)
    End Sub

    Private Sub btnFahrPlanFileLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFahrPlanFileLoad.Click
        txtFileName.Text = ""
        cmbFileType.Items.Clear()
        cmbFileType.Items.Add("*.fps")
        cmbFileType.Items.Add("*.*")
        cmbFileType.Text = "*.fps"
        txtFileName.ReadOnly = True
        SetUpDirList(AppPath & "\Save\", cmbFileType.Text)
        FavoriteFilePath.Which = "Load"
        Call ChangeMenu(MenuTree.SelectFile)
    End Sub

    Private Sub txtCurrentPath_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtCurrentPath.KeyUp
        'If e.KeyCode = Keys.Return Then
        '    SetUpDirList(txtCurrentPath.Text, cmbFileType.Text)
        'End If
    End Sub

    Private Sub lstFileList_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstFileList.SelectedIndexChanged
        Dim TempPath As String
        Select Case lstFileList.SelectedItem
            Case "[\]"
                SetUpDirList("\", cmbFileType.Text)
            Case "[..]"
                If Len(txtCurrentPath.Text) > 1 And Len(txtCurrentPath.Text) > 2 Then
                    TempPath = Mid(txtCurrentPath.Text, 1, Len(txtCurrentPath.Text) - 1)
                    txtCurrentPath.Text = Mid(TempPath, 1, InStrRev(TempPath, "\", -1))
                    SetUpDirList(txtCurrentPath.Text, cmbFileType.Text)
                End If
            Case Else
                If Mid(lstFileList.SelectedItem, 1, 1) = "[" Then
                    SetUpDirList(txtCurrentPath.Text & Mid(lstFileList.SelectedItem, 2, Len(lstFileList.SelectedItem) - 2) & "\", cmbFileType.Text)
                Else
                    txtFileName.Text = lstFileList.SelectedItem
                End If
        End Select
    End Sub

    Private Sub cmbFileType_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbFileType.SelectedIndexChanged
        SetUpDirList(txtCurrentPath.Text, cmbFileType.Text)
    End Sub

    Private Sub txtFileName_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtFileName.KeyUp
        Dim TempSelStart As Integer
        If InStr(txtFileName.Text, vbNewLine) Then
            TempSelStart = txtFileName.SelectionStart
            txtFileName.Text = Replace(txtFileName.Text, vbNewLine, "")
            txtFileName.SelectionStart = TempSelStart - 2
        End If
    End Sub

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
    End Sub

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

    End Sub
End Class
